xmonad-contrib-0.15: Third party extensions for xmonad

Copyright | (c) Jeremy Apthorp Nathan Fairhurst
License | BSD-style (see LICENSE)
Maintainer | Nathan Fairhurst <nathan.p3pictures@gmail.com>
Stability | unstable
Portability | portable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.MultiDishes

Contents

- Usage

Description

MultiDishes is a layout that stacks groups of extra windows underneath the master windows.

Synopsis

- data MultiDishes a = MultiDishes Int Int Rational

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.MultiDishes

Then edit your `layoutHook` by adding the MultiDishes layout:

    myLayout = MultiDishes 2 3 (1/6) ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

This is based on the Layout Dishes, but accepts another parameter for the maximum number of dishes allowed within a stack.

    MultiDishes x 1 y

is equivalent to > Dishes x y

The stack with the fewest dishes is always on top, so 4 windows with the layout `MultiDishes 1 2 (1/5)` would look like this:

    _________
    |       |
    |   M   |
    |_______|
    |_______|
    |___|___|

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data MultiDishes a Source #

Constructors

MultiDishes Int Int Rational |

Instances

LayoutClass MultiDishes a Source # |

Instance details

Defined in XMonad.Layout.MultiDishes

Methods

runLayout :: Workspace WorkspaceId (MultiDishes a) a -> Rectangle -> X ([(a, Rectangle)], Maybe (MultiDishes a)) Source #

doLayout :: MultiDishes a -> Rectangle -> Stack a -> X ([(a, Rectangle)], Maybe (MultiDishes a)) Source #

pureLayout :: MultiDishes a -> Rectangle -> Stack a -> [(a, Rectangle)] Source #

emptyLayout :: MultiDishes a -> Rectangle -> X ([(a, Rectangle)], Maybe (MultiDishes a)) Source #

handleMessage :: MultiDishes a -> SomeMessage -> X (Maybe (MultiDishes a)) Source #

pureMessage :: MultiDishes a -> SomeMessage -> Maybe (MultiDishes a) Source #

description :: MultiDishes a -> String Source #

Read (MultiDishes a) Source # |
Instance details Defined in XMonad.Layout.MultiDishes Methods readsPrec :: Int -> ReadS (MultiDishes a) Source # readList :: ReadS [MultiDishes a] Source # readPrec :: ReadPrec (MultiDishes a) Source # readListPrec :: ReadPrec [MultiDishes a] Source #
Show (MultiDishes a) Source # |
Instance details Defined in XMonad.Layout.MultiDishes Methods showsPrec :: Int -> MultiDishes a -> ShowS Source # show :: MultiDishes a -> String Source # showList :: [MultiDishes a] -> ShowS Source #